package com.mortals.xhx.module.window.model;

import java.util.List;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.window.model.WindowWorkmanPerformEntity;
/**
 * 窗口人员考核汇总登记查询对象
 *
 * @author zxfei
 * @date 2024-01-27
 */
public class WindowWorkmanPerformQuery extends WindowWorkmanPerformEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 考核年度 */
    private Integer yearStart;

    /** 结束 考核年度 */
    private Integer yearEnd;

    /** 增加 考核年度 */
    private Integer yearIncrement;

    /** 考核年度列表 */
    private List <Integer> yearList;

    /** 考核年度排除列表 */
    private List <Integer> yearNotList;

    /** 开始 考核月份 */
    private Integer monthStart;

    /** 结束 考核月份 */
    private Integer monthEnd;

    /** 增加 考核月份 */
    private Integer monthIncrement;

    /** 考核月份列表 */
    private List <Integer> monthList;

    /** 考核月份排除列表 */
    private List <Integer> monthNotList;

    /** 开始 窗口ID */
    private Long windowIdStart;

    /** 结束 窗口ID */
    private Long windowIdEnd;

    /** 增加 窗口ID */
    private Long windowIdIncrement;

    /** 窗口ID列表 */
    private List <Long> windowIdList;

    /** 窗口ID排除列表 */
    private List <Long> windowIdNotList;

    /** 窗口名称 */
    private List<String> windowNameList;

    /** 窗口名称排除列表 */
    private List <String> windowNameNotList;
    /** 开始 窗口负责人id */
    private Long ownerIdStart;

    /** 结束 窗口负责人id */
    private Long ownerIdEnd;

    /** 增加 窗口负责人id */
    private Long ownerIdIncrement;

    /** 窗口负责人id列表 */
    private List <Long> ownerIdList;

    /** 窗口负责人id排除列表 */
    private List <Long> ownerIdNotList;

    /** 窗口负责人名称 */
    private List<String> ownerNameList;

    /** 窗口负责人名称排除列表 */
    private List <String> ownerNameNotList;
    /** 开始 所属部门id */
    private Long deptIdStart;

    /** 结束 所属部门id */
    private Long deptIdEnd;

    /** 增加 所属部门id */
    private Long deptIdIncrement;

    /** 所属部门id列表 */
    private List <Long> deptIdList;

    /** 所属部门id排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 所属大厅 */
    private Long salaIdStart;

    /** 结束 所属大厅 */
    private Long salaIdEnd;

    /** 增加 所属大厅 */
    private Long salaIdIncrement;

    /** 所属大厅列表 */
    private List <Long> salaIdList;

    /** 所属大厅排除列表 */
    private List <Long> salaIdNotList;

    /** 所属大厅名称 */
    private List<String> salaNameList;

    /** 所属大厅名称排除列表 */
    private List <String> salaNameNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 附件名称 */
    private List<String> annexList;

    /** 附件名称排除列表 */
    private List <String> annexNotList;
    /** 附件地址 */
    private List<String> annexUrlList;

    /** 附件地址排除列表 */
    private List <String> annexUrlNotList;
    /** 开始 填报时间 */
    private String fillDateStart;

    /** 结束 填报时间 */
    private String fillDateEnd;

    /** 开始 填报状态0暂存1提交 */
    private Integer fillStatusStart;

    /** 结束 填报状态0暂存1提交 */
    private Integer fillStatusEnd;

    /** 增加 填报状态0暂存1提交 */
    private Integer fillStatusIncrement;

    /** 填报状态0暂存1提交列表 */
    private List <Integer> fillStatusList;

    /** 填报状态0暂存1提交排除列表 */
    private List <Integer> fillStatusNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 窗口编号 */
    private List<String> windowCodeList;

    /** 窗口编号排除列表 */
    private List <String> windowCodeNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<WindowWorkmanPerformQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<WindowWorkmanPerformQuery> andConditionList;

    public WindowWorkmanPerformQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 考核年度
     * @return yearStart
     */
    public Integer getYearStart(){
        return this.yearStart;
    }

    /**
     * 设置 开始 考核年度
     * @param yearStart
     */
    public void setYearStart(Integer yearStart){
        this.yearStart = yearStart;
    }

    /**
     * 获取 结束 考核年度
     * @return $yearEnd
     */
    public Integer getYearEnd(){
        return this.yearEnd;
    }

    /**
     * 设置 结束 考核年度
     * @param yearEnd
     */
    public void setYearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
    }

    /**
     * 获取 增加 考核年度
     * @return yearIncrement
     */
    public Integer getYearIncrement(){
        return this.yearIncrement;
    }

    /**
     * 设置 增加 考核年度
     * @param yearIncrement
     */
    public void setYearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
    }

    /**
     * 获取 考核年度
     * @return yearList
     */
    public List<Integer> getYearList(){
        return this.yearList;
    }

    /**
     * 设置 考核年度
     * @param yearList
     */
    public void setYearList(List<Integer> yearList){
        this.yearList = yearList;
    }

    /**
     * 获取 考核年度
     * @return yearNotList
     */
    public List<Integer> getYearNotList(){
        return this.yearNotList;
    }

    /**
     * 设置 考核年度
     * @param yearNotList
     */
    public void setYearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
    }


    /**
     * 获取 开始 考核月份
     * @return monthStart
     */
    public Integer getMonthStart(){
        return this.monthStart;
    }

    /**
     * 设置 开始 考核月份
     * @param monthStart
     */
    public void setMonthStart(Integer monthStart){
        this.monthStart = monthStart;
    }

    /**
     * 获取 结束 考核月份
     * @return $monthEnd
     */
    public Integer getMonthEnd(){
        return this.monthEnd;
    }

    /**
     * 设置 结束 考核月份
     * @param monthEnd
     */
    public void setMonthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
    }

    /**
     * 获取 增加 考核月份
     * @return monthIncrement
     */
    public Integer getMonthIncrement(){
        return this.monthIncrement;
    }

    /**
     * 设置 增加 考核月份
     * @param monthIncrement
     */
    public void setMonthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
    }

    /**
     * 获取 考核月份
     * @return monthList
     */
    public List<Integer> getMonthList(){
        return this.monthList;
    }

    /**
     * 设置 考核月份
     * @param monthList
     */
    public void setMonthList(List<Integer> monthList){
        this.monthList = monthList;
    }

    /**
     * 获取 考核月份
     * @return monthNotList
     */
    public List<Integer> getMonthNotList(){
        return this.monthNotList;
    }

    /**
     * 设置 考核月份
     * @param monthNotList
     */
    public void setMonthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
    }


    /**
     * 获取 开始 窗口ID
     * @return windowIdStart
     */
    public Long getWindowIdStart(){
        return this.windowIdStart;
    }

    /**
     * 设置 开始 窗口ID
     * @param windowIdStart
     */
    public void setWindowIdStart(Long windowIdStart){
        this.windowIdStart = windowIdStart;
    }

    /**
     * 获取 结束 窗口ID
     * @return $windowIdEnd
     */
    public Long getWindowIdEnd(){
        return this.windowIdEnd;
    }

    /**
     * 设置 结束 窗口ID
     * @param windowIdEnd
     */
    public void setWindowIdEnd(Long windowIdEnd){
        this.windowIdEnd = windowIdEnd;
    }

    /**
     * 获取 增加 窗口ID
     * @return windowIdIncrement
     */
    public Long getWindowIdIncrement(){
        return this.windowIdIncrement;
    }

    /**
     * 设置 增加 窗口ID
     * @param windowIdIncrement
     */
    public void setWindowIdIncrement(Long windowIdIncrement){
        this.windowIdIncrement = windowIdIncrement;
    }

    /**
     * 获取 窗口ID
     * @return windowIdList
     */
    public List<Long> getWindowIdList(){
        return this.windowIdList;
    }

    /**
     * 设置 窗口ID
     * @param windowIdList
     */
    public void setWindowIdList(List<Long> windowIdList){
        this.windowIdList = windowIdList;
    }

    /**
     * 获取 窗口ID
     * @return windowIdNotList
     */
    public List<Long> getWindowIdNotList(){
        return this.windowIdNotList;
    }

    /**
     * 设置 窗口ID
     * @param windowIdNotList
     */
    public void setWindowIdNotList(List<Long> windowIdNotList){
        this.windowIdNotList = windowIdNotList;
    }


    /**
     * 获取 窗口名称
     * @return windowNameList
     */
    public List<String> getWindowNameList(){
        return this.windowNameList;
    }

    /**
     * 设置 窗口名称
     * @param windowNameList
     */
    public void setWindowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
    }

    /**
     * 获取 窗口名称
     * @return windowNameNotList
     */
    public List<String> getWindowNameNotList(){
        return this.windowNameNotList;
    }

    /**
     * 设置 窗口名称
     * @param windowNameNotList
     */
    public void setWindowNameNotList(List<String> windowNameNotList){
        this.windowNameNotList = windowNameNotList;
    }

    /**
     * 获取 开始 窗口负责人id
     * @return ownerIdStart
     */
    public Long getOwnerIdStart(){
        return this.ownerIdStart;
    }

    /**
     * 设置 开始 窗口负责人id
     * @param ownerIdStart
     */
    public void setOwnerIdStart(Long ownerIdStart){
        this.ownerIdStart = ownerIdStart;
    }

    /**
     * 获取 结束 窗口负责人id
     * @return $ownerIdEnd
     */
    public Long getOwnerIdEnd(){
        return this.ownerIdEnd;
    }

    /**
     * 设置 结束 窗口负责人id
     * @param ownerIdEnd
     */
    public void setOwnerIdEnd(Long ownerIdEnd){
        this.ownerIdEnd = ownerIdEnd;
    }

    /**
     * 获取 增加 窗口负责人id
     * @return ownerIdIncrement
     */
    public Long getOwnerIdIncrement(){
        return this.ownerIdIncrement;
    }

    /**
     * 设置 增加 窗口负责人id
     * @param ownerIdIncrement
     */
    public void setOwnerIdIncrement(Long ownerIdIncrement){
        this.ownerIdIncrement = ownerIdIncrement;
    }

    /**
     * 获取 窗口负责人id
     * @return ownerIdList
     */
    public List<Long> getOwnerIdList(){
        return this.ownerIdList;
    }

    /**
     * 设置 窗口负责人id
     * @param ownerIdList
     */
    public void setOwnerIdList(List<Long> ownerIdList){
        this.ownerIdList = ownerIdList;
    }

    /**
     * 获取 窗口负责人id
     * @return ownerIdNotList
     */
    public List<Long> getOwnerIdNotList(){
        return this.ownerIdNotList;
    }

    /**
     * 设置 窗口负责人id
     * @param ownerIdNotList
     */
    public void setOwnerIdNotList(List<Long> ownerIdNotList){
        this.ownerIdNotList = ownerIdNotList;
    }


    /**
     * 获取 窗口负责人名称
     * @return ownerNameList
     */
    public List<String> getOwnerNameList(){
        return this.ownerNameList;
    }

    /**
     * 设置 窗口负责人名称
     * @param ownerNameList
     */
    public void setOwnerNameList(List<String> ownerNameList){
        this.ownerNameList = ownerNameList;
    }

    /**
     * 获取 窗口负责人名称
     * @return ownerNameNotList
     */
    public List<String> getOwnerNameNotList(){
        return this.ownerNameNotList;
    }

    /**
     * 设置 窗口负责人名称
     * @param ownerNameNotList
     */
    public void setOwnerNameNotList(List<String> ownerNameNotList){
        this.ownerNameNotList = ownerNameNotList;
    }

    /**
     * 获取 开始 所属部门id
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 所属部门id
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 所属部门id
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 所属部门id
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 所属部门id
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 所属部门id
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 所属部门id
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 所属部门id
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 所属部门id
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 所属部门id
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 所属部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 所属部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 开始 所属大厅
     * @return salaIdStart
     */
    public Long getSalaIdStart(){
        return this.salaIdStart;
    }

    /**
     * 设置 开始 所属大厅
     * @param salaIdStart
     */
    public void setSalaIdStart(Long salaIdStart){
        this.salaIdStart = salaIdStart;
    }

    /**
     * 获取 结束 所属大厅
     * @return $salaIdEnd
     */
    public Long getSalaIdEnd(){
        return this.salaIdEnd;
    }

    /**
     * 设置 结束 所属大厅
     * @param salaIdEnd
     */
    public void setSalaIdEnd(Long salaIdEnd){
        this.salaIdEnd = salaIdEnd;
    }

    /**
     * 获取 增加 所属大厅
     * @return salaIdIncrement
     */
    public Long getSalaIdIncrement(){
        return this.salaIdIncrement;
    }

    /**
     * 设置 增加 所属大厅
     * @param salaIdIncrement
     */
    public void setSalaIdIncrement(Long salaIdIncrement){
        this.salaIdIncrement = salaIdIncrement;
    }

    /**
     * 获取 所属大厅
     * @return salaIdList
     */
    public List<Long> getSalaIdList(){
        return this.salaIdList;
    }

    /**
     * 设置 所属大厅
     * @param salaIdList
     */
    public void setSalaIdList(List<Long> salaIdList){
        this.salaIdList = salaIdList;
    }

    /**
     * 获取 所属大厅
     * @return salaIdNotList
     */
    public List<Long> getSalaIdNotList(){
        return this.salaIdNotList;
    }

    /**
     * 设置 所属大厅
     * @param salaIdNotList
     */
    public void setSalaIdNotList(List<Long> salaIdNotList){
        this.salaIdNotList = salaIdNotList;
    }


    /**
     * 获取 所属大厅名称
     * @return salaNameList
     */
    public List<String> getSalaNameList(){
        return this.salaNameList;
    }

    /**
     * 设置 所属大厅名称
     * @param salaNameList
     */
    public void setSalaNameList(List<String> salaNameList){
        this.salaNameList = salaNameList;
    }

    /**
     * 获取 所属大厅名称
     * @return salaNameNotList
     */
    public List<String> getSalaNameNotList(){
        return this.salaNameNotList;
    }

    /**
     * 设置 所属大厅名称
     * @param salaNameNotList
     */
    public void setSalaNameNotList(List<String> salaNameNotList){
        this.salaNameNotList = salaNameNotList;
    }

    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 附件名称
     * @return annexList
     */
    public List<String> getAnnexList(){
        return this.annexList;
    }

    /**
     * 设置 附件名称
     * @param annexList
     */
    public void setAnnexList(List<String> annexList){
        this.annexList = annexList;
    }

    /**
     * 获取 附件名称
     * @return annexNotList
     */
    public List<String> getAnnexNotList(){
        return this.annexNotList;
    }

    /**
     * 设置 附件名称
     * @param annexNotList
     */
    public void setAnnexNotList(List<String> annexNotList){
        this.annexNotList = annexNotList;
    }

    /**
     * 获取 附件地址
     * @return annexUrlList
     */
    public List<String> getAnnexUrlList(){
        return this.annexUrlList;
    }

    /**
     * 设置 附件地址
     * @param annexUrlList
     */
    public void setAnnexUrlList(List<String> annexUrlList){
        this.annexUrlList = annexUrlList;
    }

    /**
     * 获取 附件地址
     * @return annexUrlNotList
     */
    public List<String> getAnnexUrlNotList(){
        return this.annexUrlNotList;
    }

    /**
     * 设置 附件地址
     * @param annexUrlNotList
     */
    public void setAnnexUrlNotList(List<String> annexUrlNotList){
        this.annexUrlNotList = annexUrlNotList;
    }

    /**
     * 获取 开始 填报时间
     * @return fillDateStart
     */
    public String getFillDateStart(){
        return this.fillDateStart;
    }

    /**
     * 设置 开始 填报时间
     * @param fillDateStart
     */
    public void setFillDateStart(String fillDateStart){
        this.fillDateStart = fillDateStart;
    }

    /**
     * 获取 结束 填报时间
     * @return fillDateEnd
     */
    public String getFillDateEnd(){
        return this.fillDateEnd;
    }

    /**
     * 设置 结束 填报时间
     * @param fillDateEnd
     */
    public void setFillDateEnd(String fillDateEnd){
        this.fillDateEnd = fillDateEnd;
    }

    /**
     * 获取 开始 填报状态0暂存1提交
     * @return fillStatusStart
     */
    public Integer getFillStatusStart(){
        return this.fillStatusStart;
    }

    /**
     * 设置 开始 填报状态0暂存1提交
     * @param fillStatusStart
     */
    public void setFillStatusStart(Integer fillStatusStart){
        this.fillStatusStart = fillStatusStart;
    }

    /**
     * 获取 结束 填报状态0暂存1提交
     * @return $fillStatusEnd
     */
    public Integer getFillStatusEnd(){
        return this.fillStatusEnd;
    }

    /**
     * 设置 结束 填报状态0暂存1提交
     * @param fillStatusEnd
     */
    public void setFillStatusEnd(Integer fillStatusEnd){
        this.fillStatusEnd = fillStatusEnd;
    }

    /**
     * 获取 增加 填报状态0暂存1提交
     * @return fillStatusIncrement
     */
    public Integer getFillStatusIncrement(){
        return this.fillStatusIncrement;
    }

    /**
     * 设置 增加 填报状态0暂存1提交
     * @param fillStatusIncrement
     */
    public void setFillStatusIncrement(Integer fillStatusIncrement){
        this.fillStatusIncrement = fillStatusIncrement;
    }

    /**
     * 获取 填报状态0暂存1提交
     * @return fillStatusList
     */
    public List<Integer> getFillStatusList(){
        return this.fillStatusList;
    }

    /**
     * 设置 填报状态0暂存1提交
     * @param fillStatusList
     */
    public void setFillStatusList(List<Integer> fillStatusList){
        this.fillStatusList = fillStatusList;
    }

    /**
     * 获取 填报状态0暂存1提交
     * @return fillStatusNotList
     */
    public List<Integer> getFillStatusNotList(){
        return this.fillStatusNotList;
    }

    /**
     * 设置 填报状态0暂存1提交
     * @param fillStatusNotList
     */
    public void setFillStatusNotList(List<Integer> fillStatusNotList){
        this.fillStatusNotList = fillStatusNotList;
    }


    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 窗口编号
     * @return windowCodeList
     */
    public List<String> getWindowCodeList(){
        return this.windowCodeList;
    }

    /**
     * 设置 窗口编号
     * @param windowCodeList
     */
    public void setWindowCodeList(List<String> windowCodeList){
        this.windowCodeList = windowCodeList;
    }

    /**
     * 获取 窗口编号
     * @return windowCodeNotList
     */
    public List<String> getWindowCodeNotList(){
        return this.windowCodeNotList;
    }

    /**
     * 设置 窗口编号
     * @param windowCodeNotList
     */
    public void setWindowCodeNotList(List<String> windowCodeNotList){
        this.windowCodeNotList = windowCodeNotList;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public WindowWorkmanPerformQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public WindowWorkmanPerformQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public WindowWorkmanPerformQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public WindowWorkmanPerformQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public WindowWorkmanPerformQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public WindowWorkmanPerformQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  考核年度
     * @param year
     */
    public WindowWorkmanPerformQuery year(Integer year){
        setYear(year);
        return this;
    }

    /**
     * 设置 开始 考核年度
     * @param yearStart
     */
    public WindowWorkmanPerformQuery yearStart(Integer yearStart){
        this.yearStart = yearStart;
        return this;
    }

    /**
     * 设置 结束 考核年度
     * @param yearEnd
     */
    public WindowWorkmanPerformQuery yearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
        return this;
    }

    /**
     * 设置 增加 考核年度
     * @param yearIncrement
     */
    public WindowWorkmanPerformQuery yearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
        return this;
    }

    /**
     * 设置 考核年度
     * @param yearList
     */
    public WindowWorkmanPerformQuery yearList(List<Integer> yearList){
        this.yearList = yearList;
        return this;
    }

    /**
     * 设置 考核年度
     * @param yearNotList
     */
    public WindowWorkmanPerformQuery yearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
        return this;
    }

    /**
     * 设置  考核月份
     * @param month
     */
    public WindowWorkmanPerformQuery month(Integer month){
        setMonth(month);
        return this;
    }

    /**
     * 设置 开始 考核月份
     * @param monthStart
     */
    public WindowWorkmanPerformQuery monthStart(Integer monthStart){
        this.monthStart = monthStart;
        return this;
    }

    /**
     * 设置 结束 考核月份
     * @param monthEnd
     */
    public WindowWorkmanPerformQuery monthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
        return this;
    }

    /**
     * 设置 增加 考核月份
     * @param monthIncrement
     */
    public WindowWorkmanPerformQuery monthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
        return this;
    }

    /**
     * 设置 考核月份
     * @param monthList
     */
    public WindowWorkmanPerformQuery monthList(List<Integer> monthList){
        this.monthList = monthList;
        return this;
    }

    /**
     * 设置 考核月份
     * @param monthNotList
     */
    public WindowWorkmanPerformQuery monthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
        return this;
    }

    /**
     * 设置  窗口ID
     * @param windowId
     */
    public WindowWorkmanPerformQuery windowId(Long windowId){
        setWindowId(windowId);
        return this;
    }

    /**
     * 设置 开始 窗口ID
     * @param windowIdStart
     */
    public WindowWorkmanPerformQuery windowIdStart(Long windowIdStart){
        this.windowIdStart = windowIdStart;
        return this;
    }

    /**
     * 设置 结束 窗口ID
     * @param windowIdEnd
     */
    public WindowWorkmanPerformQuery windowIdEnd(Long windowIdEnd){
        this.windowIdEnd = windowIdEnd;
        return this;
    }

    /**
     * 设置 增加 窗口ID
     * @param windowIdIncrement
     */
    public WindowWorkmanPerformQuery windowIdIncrement(Long windowIdIncrement){
        this.windowIdIncrement = windowIdIncrement;
        return this;
    }

    /**
     * 设置 窗口ID
     * @param windowIdList
     */
    public WindowWorkmanPerformQuery windowIdList(List<Long> windowIdList){
        this.windowIdList = windowIdList;
        return this;
    }

    /**
     * 设置 窗口ID
     * @param windowIdNotList
     */
    public WindowWorkmanPerformQuery windowIdNotList(List<Long> windowIdNotList){
        this.windowIdNotList = windowIdNotList;
        return this;
    }


    /**
     * 设置 窗口名称
     * @param windowName
     */
    public WindowWorkmanPerformQuery windowName(String windowName){
        setWindowName(windowName);
        return this;
    }

    /**
     * 设置 窗口名称
     * @param windowNameList
     */
    public WindowWorkmanPerformQuery windowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
        return this;
    }

    /**
     * 设置  窗口负责人id
     * @param ownerId
     */
    public WindowWorkmanPerformQuery ownerId(Long ownerId){
        setOwnerId(ownerId);
        return this;
    }

    /**
     * 设置 开始 窗口负责人id
     * @param ownerIdStart
     */
    public WindowWorkmanPerformQuery ownerIdStart(Long ownerIdStart){
        this.ownerIdStart = ownerIdStart;
        return this;
    }

    /**
     * 设置 结束 窗口负责人id
     * @param ownerIdEnd
     */
    public WindowWorkmanPerformQuery ownerIdEnd(Long ownerIdEnd){
        this.ownerIdEnd = ownerIdEnd;
        return this;
    }

    /**
     * 设置 增加 窗口负责人id
     * @param ownerIdIncrement
     */
    public WindowWorkmanPerformQuery ownerIdIncrement(Long ownerIdIncrement){
        this.ownerIdIncrement = ownerIdIncrement;
        return this;
    }

    /**
     * 设置 窗口负责人id
     * @param ownerIdList
     */
    public WindowWorkmanPerformQuery ownerIdList(List<Long> ownerIdList){
        this.ownerIdList = ownerIdList;
        return this;
    }

    /**
     * 设置 窗口负责人id
     * @param ownerIdNotList
     */
    public WindowWorkmanPerformQuery ownerIdNotList(List<Long> ownerIdNotList){
        this.ownerIdNotList = ownerIdNotList;
        return this;
    }


    /**
     * 设置 窗口负责人名称
     * @param ownerName
     */
    public WindowWorkmanPerformQuery ownerName(String ownerName){
        setOwnerName(ownerName);
        return this;
    }

    /**
     * 设置 窗口负责人名称
     * @param ownerNameList
     */
    public WindowWorkmanPerformQuery ownerNameList(List<String> ownerNameList){
        this.ownerNameList = ownerNameList;
        return this;
    }

    /**
     * 设置  所属部门id
     * @param deptId
     */
    public WindowWorkmanPerformQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 所属部门id
     * @param deptIdStart
     */
    public WindowWorkmanPerformQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 所属部门id
     * @param deptIdEnd
     */
    public WindowWorkmanPerformQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属部门id
     * @param deptIdIncrement
     */
    public WindowWorkmanPerformQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 所属部门id
     * @param deptIdList
     */
    public WindowWorkmanPerformQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 所属部门id
     * @param deptIdNotList
     */
    public WindowWorkmanPerformQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 所属部门名称
     * @param deptName
     */
    public WindowWorkmanPerformQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public WindowWorkmanPerformQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }

    /**
     * 设置  所属大厅
     * @param salaId
     */
    public WindowWorkmanPerformQuery salaId(Long salaId){
        setSalaId(salaId);
        return this;
    }

    /**
     * 设置 开始 所属大厅
     * @param salaIdStart
     */
    public WindowWorkmanPerformQuery salaIdStart(Long salaIdStart){
        this.salaIdStart = salaIdStart;
        return this;
    }

    /**
     * 设置 结束 所属大厅
     * @param salaIdEnd
     */
    public WindowWorkmanPerformQuery salaIdEnd(Long salaIdEnd){
        this.salaIdEnd = salaIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属大厅
     * @param salaIdIncrement
     */
    public WindowWorkmanPerformQuery salaIdIncrement(Long salaIdIncrement){
        this.salaIdIncrement = salaIdIncrement;
        return this;
    }

    /**
     * 设置 所属大厅
     * @param salaIdList
     */
    public WindowWorkmanPerformQuery salaIdList(List<Long> salaIdList){
        this.salaIdList = salaIdList;
        return this;
    }

    /**
     * 设置 所属大厅
     * @param salaIdNotList
     */
    public WindowWorkmanPerformQuery salaIdNotList(List<Long> salaIdNotList){
        this.salaIdNotList = salaIdNotList;
        return this;
    }


    /**
     * 设置 所属大厅名称
     * @param salaName
     */
    public WindowWorkmanPerformQuery salaName(String salaName){
        setSalaName(salaName);
        return this;
    }

    /**
     * 设置 所属大厅名称
     * @param salaNameList
     */
    public WindowWorkmanPerformQuery salaNameList(List<String> salaNameList){
        this.salaNameList = salaNameList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public WindowWorkmanPerformQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public WindowWorkmanPerformQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }


    /**
     * 设置 附件名称
     * @param annex
     */
    public WindowWorkmanPerformQuery annex(String annex){
        setAnnex(annex);
        return this;
    }

    /**
     * 设置 附件名称
     * @param annexList
     */
    public WindowWorkmanPerformQuery annexList(List<String> annexList){
        this.annexList = annexList;
        return this;
    }


    /**
     * 设置 附件地址
     * @param annexUrl
     */
    public WindowWorkmanPerformQuery annexUrl(String annexUrl){
        setAnnexUrl(annexUrl);
        return this;
    }

    /**
     * 设置 附件地址
     * @param annexUrlList
     */
    public WindowWorkmanPerformQuery annexUrlList(List<String> annexUrlList){
        this.annexUrlList = annexUrlList;
        return this;
    }


    /**
     * 设置  填报状态0暂存1提交
     * @param fillStatus
     */
    public WindowWorkmanPerformQuery fillStatus(Integer fillStatus){
        setFillStatus(fillStatus);
        return this;
    }

    /**
     * 设置 开始 填报状态0暂存1提交
     * @param fillStatusStart
     */
    public WindowWorkmanPerformQuery fillStatusStart(Integer fillStatusStart){
        this.fillStatusStart = fillStatusStart;
        return this;
    }

    /**
     * 设置 结束 填报状态0暂存1提交
     * @param fillStatusEnd
     */
    public WindowWorkmanPerformQuery fillStatusEnd(Integer fillStatusEnd){
        this.fillStatusEnd = fillStatusEnd;
        return this;
    }

    /**
     * 设置 增加 填报状态0暂存1提交
     * @param fillStatusIncrement
     */
    public WindowWorkmanPerformQuery fillStatusIncrement(Integer fillStatusIncrement){
        this.fillStatusIncrement = fillStatusIncrement;
        return this;
    }

    /**
     * 设置 填报状态0暂存1提交
     * @param fillStatusList
     */
    public WindowWorkmanPerformQuery fillStatusList(List<Integer> fillStatusList){
        this.fillStatusList = fillStatusList;
        return this;
    }

    /**
     * 设置 填报状态0暂存1提交
     * @param fillStatusNotList
     */
    public WindowWorkmanPerformQuery fillStatusNotList(List<Integer> fillStatusNotList){
        this.fillStatusNotList = fillStatusNotList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public WindowWorkmanPerformQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public WindowWorkmanPerformQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public WindowWorkmanPerformQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public WindowWorkmanPerformQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public WindowWorkmanPerformQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public WindowWorkmanPerformQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public WindowWorkmanPerformQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public WindowWorkmanPerformQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public WindowWorkmanPerformQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public WindowWorkmanPerformQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public WindowWorkmanPerformQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public WindowWorkmanPerformQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }



    /**
     * 设置 窗口编号
     * @param windowCode
     */
    public WindowWorkmanPerformQuery windowCode(String windowCode){
        setWindowCode(windowCode);
        return this;
    }

    /**
     * 设置 窗口编号
     * @param windowCodeList
     */
    public WindowWorkmanPerformQuery windowCodeList(List<String> windowCodeList){
        this.windowCodeList = windowCodeList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<WindowWorkmanPerformQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<WindowWorkmanPerformQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<WindowWorkmanPerformQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<WindowWorkmanPerformQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}